Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface ElevationModel.Elevations

Enclosing interface:
  ElevationModel

    public static interface ElevationModel.Elevations

The `Elevations` interface provides elevations at specified latitude and longitude positions. Objects implementing this interface are created by `ElevationModel.getElevations(Sector, int)`.

Method Summary
`double` | `getElevation(double latRadians, double lonRadians)` Returns the elevation at a specific latitude and longitude, each specified in radians.
`int` | `getResolution()` Returns the resolution value of the elevations.
`Sector` | `getSector()` Returns the `Sector` the elevations pertain to.
`boolean` | `hasElevations()` Indicates whether the object contains useful elevations.

Method Detail

### getElevation

    double getElevation(double latRadians,
                        double lonRadians)

  Returns the elevation at a specific latitude and longitude, each specified in radians.

  Parameters:
    `latRadians` - the position's latitude in radians, in the range [-π/2, +π/2].
    `lonRadians` - the position's longitude in radians, in the range [-π, +π].
  Returns:
    The elevation at the given position, or 0 if elevations are not available.

### getResolution

    int getResolution()

  Returns the resolution value of the elevations. The meaning and use of this value is defined by subclasses of `ElevationModel`.

  Returns:
    the resolution associated with `this`.

### getSector

    Sector getSector()

  Returns the `Sector` the elevations pertain to.

  Returns:
    The sector the elevations pertain to.

### hasElevations

    boolean hasElevations()

  Indicates whether the object contains useful elevations. An `Elevations` instance may exist without holding any elevations. This can occur when the resources needed to determine elevations are not yet local. This method enables the detection of that case. Callers typically use it to avoid time-consuming computations that require valid elevations.

  Returns:
    `true` if a call to `getElevation(double, double)` will return valid elevations, otherwise `false` indicating that the value 0 will always be returned from that method.

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD